#!/bin/sh

echo -n "Checking for builder plugin: "
BUILDER_PLUGIN=`bzr plugins | grep ^builder | wc -l`
if [ $BUILDER_PLUGIN -eq 1 ] ; then
	echo "Found"
else
	echo "Not installed"
	echo $BUILDER_PLUGIN
	exit 0
fi

TEMPDIR=`mktemp -d /tmp/bzr-builddeb-XXXXXX`

echo "Building jaunty"
bzr dailydeb jaunty.recipe $TEMPDIR --package indicator-applet --distribution jaunty

rm -rf $TEMPDIR

TEMPDIR=`mktemp -d /tmp/bzr-builddeb-XXXXXX`

echo "Building karmic"
bzr dailydeb karmic.recipe $TEMPDIR --package indicator-applet --distribution karmic

rm -rf $TEMPDIR
